Artist

Gets detailed information about a SoundCloud artist by its handle or URL. Returns artist metadata including id, name, followers, etc

1 creditper request
GET
/v1/soundcloud/artist
curl "https://api.scrapecreators.com/v1/soundcloud/artist" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 49998217490,
  "avatar_url": "https://i1.sndcdn.com/avatars-4pU1zic9ZyyDdF4G-dF6LHA-large.jpg",
  "city": "Oakland, CA",
  "comments_count": 0,
  "country_code": "US",
  "created_at": null,
  "creator_subscriptions": [
    {
      "product": {
        "id": "creator-pro-unlimited"
      }
    }
  ],
  "creator_subscription": {
    "product": {
      "id": "creator-pro-unlimited"
    }
  },
  "description": ""Folded" out now!

Singer/Songwriter 
Oakland to Los Angeles

MGMT:
david@abvgrnd.com
info@thetsunamimob.com

BOOKING:
Caroline Yim
caroline.yim@caa.com",
  "followers_count": 841535,
  "followings_count": 0,
  "first_name": "",
  "full_name": "",
  "groups_count": 0,
  "id": 51562330,
  "kind": "user",
  "last_modified": "2025-06-12T20:52:01Z",
  "last_name": "",
  "likes_count": 11,
  "playlist_likes_count": 2,
  "permalink": "kehlanimusic",
  "permalink_url": "https://soundcloud.com/kehlanimusic",
  "playlist_count": 26,
  "reposts_count": null,
  "track_count": 331,
  "uri": "https://api.soundcloud.com/users/soundcloud%3Ausers%3A51562330",
  "urn": "soundcloud:users:51562330",
  "username": "Kehlani",
  "verified": true,
  "visuals": {
    "urn": "soundcloud:users:51562330",
    "enabled": true,
    "visuals": [
      {
        "urn": "soundcloud:visuals:243626019",
        "entry_time": 0,
        "visual_url": "https://i1.sndcdn.com/visuals-000051562330-BFF9AP-original.jpg"
      }
    ],
    "tracking": null
  },
  "badges": {
    "pro": false,
    "creator_mid_tier": false,
    "pro_unlimited": true,
    "verified": true
  },
  "station_urn": "soundcloud:system-playlists:artist-stations:51562330",
  "station_permalink": "artist-stations:51562330",
  "date_of_birth": null
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

handle
string

SoundCloud artist handle. If you'd prefer to use the URL instead, you can use the url parameter instead.

Example:
kehlanimusic
url
string

SoundCloud artist URL. If you'd prefer to use the handle instead, you can use the handle parameter instead.

Example:
https://soundcloud.com/kehlanimusic